Ask Your Question
0

package moveit_simple_grasps in kinetic

asked 2018-03-05 12:27:21 -0500

blightzyear gravatar image

Hey everyone,

I have written a small plugin for ROS after this tutorial:

http://wiki.ros.org/pluginlib/Tutoria...

Now I have already installed a lot of packages that I can do a simple catkin_make in the ws, but no I am getting this error:

    -- Could not find the required component 'moveit_simple_grasps'. The following CMake error indicates that you either need to install the package with the same name or change your environment so that it can be found.
CMake Error at /opt/ros/kinetic/share/catkin/cmake/catkinConfig.cmake:83 (find_package):

      Could not find a package configuration file provided by
      "moveit_simple_grasps" with any of the following names: 

moveit_simple_graspsConfig.cmake
moveit_simple_grasps-config.cmake

Now I have already installed this package via apt:

 % sudo apt-get install ros-kinetic-simple-grasping

but I am getting the same error as mentioned before.

I have only found the requested package for hydro and indigo... can someone tell my what package I should install to get my tutorial compiled?

Thx in advance! :-) BL

edit retag flag offensive close merge delete

Comments

Can nobody help me? ;-(

blightzyear gravatar image blightzyear  ( 2018-03-12 07:16:45 -0500 )edit

2 Answers

Sort by » oldest newest most voted
0

answered 2018-03-12 09:21:46 -0500

gvdhoorn gravatar image

updated 2018-03-12 09:22:38 -0500

Now I have already installed this package via apt:

 % sudo apt-get install ros-kinetic-simple-grasping

but I am getting the same error as mentioned before.

The package you installed is probably not the correct one: note how the error message mentions moveit_simple_grasps, not simple-grasping.

The former may be found here: moveit_simple_grasps.

The latter here: simple_grasping.

edit flag offensive delete link more

Comments

Thank you for the info! :-)

blightzyear gravatar image blightzyear  ( 2018-03-13 05:22:25 -0500 )edit
0

answered 2018-03-12 09:27:02 -0500

AndyZe gravatar image

updated 2018-03-13 08:59:22 -0500

A binary of that package hasn't been released for Kinetic yet. But, there is a kinetic-devel branch on github. So clone that kinetic branch into a catkin workspace like this:

cd ~/catkin_ws/src    

git clone https://github.com/davetcoleman/moveit_simple_grasps.git

git checkout kinetic-devel
edit flag offensive delete link more

Comments

ok thank you... but where should I place that folder? I think I must not do the cmake... it will be called by catkin. Sorry I don't know... :-(

blightzyear gravatar image blightzyear  ( 2018-03-13 05:22:14 -0500 )edit

oh... just in the src-Folder! :-D facepalm Thx for your help!!! :-)

blightzyear gravatar image blightzyear  ( 2018-03-13 05:33:32 -0500 )edit

Ah, I forgot the src folder. Thanks.

AndyZe gravatar image AndyZe  ( 2018-03-13 09:00:08 -0500 )edit

@blightzyear were you able to compile successfully?I am getting error related to moveit visualization tools.

/usr/include/eigen3/Eigen/src/Core/Functors.h:973:28: warning: ‘template<class _Operation> class std::binder2n
ARB gravatar image ARB  ( 2018-03-29 12:14:31 -0500 )edit

is deprecated [-Wdeprecated-declarations] struct functor_traits<std::binder2nd<t> >

ARB gravatar image ARB  ( 2018-03-29 12:15:09 -0500 )edit

no it does not compiling... but in the meanwhile I am getting another error with an university-specific plugin. Sorry I cannot help you with your error :-(

good luck, bl

blightzyear gravatar image blightzyear  ( 2018-03-30 04:38:33 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-03-05 12:27:21 -0500

Seen: 1,496 times

Last updated: Mar 13 '18